<?php

function squirrelmail_plugin_init_change_pass() {
  global $squirrelmail_plugin_hooks;

  $squirrelmail_plugin_hooks['optpage_register_block']['change_pass'] = 'change_pass_opt';
  $squirrelmail_plugin_hooks['options_save']['change_pass'] = 'change_pass_save_pref';
}

function change_pass_opt() {
    global $optpage_blocks;

    $optpage_blocks[] = array(
        'name' => _("Change Password"),
        'url'  => SM_PATH . 'plugins/change_pass/options.php',
        'desc' => _("This connects to your local Password Server to change your email password."),
        'js'   => false
    );
}

function change_pass_save_pref() {
    if(sqgetGlobalVar('plugin_change_pass', $plugin_change_pass)) {
        echo "<p align=center>" . _("Password changed successfully.") . "</p>\n";
    }
}
?>
